C--------------------------------------------------------------------
C  UREADY - FLAG PROMPT MATCH CONDITION-- READY TO ACCEPT INPUT
C
      SUBROUTINE UREADY(IREADY)
C
      INCLUDE 'USERIO'
C
C  IREADY=1 --> READY TO ACCEPT INPUT
C  IREADY=0 --> NOT READY
C
C  PASSED ARGUMENT OVERRIDDEN IF COMMON ARGUMENTS SPECIFY NO MATCH
C  CHECKING-- SEE UREAD LOGICAL FUNCTION LCMPPR
C
C
C *LISMAK* 12-APR-88  GENERATED LOGICAL DECLARATIONS
      LOGICAL LCMPPR
C *LISMAK* END OF GENERATED LOGICAL DECLARATIONS
C
      LREADY=IREADY
      IF(.NOT.LCMPPR(IW1,IW2)) LREADY=1
C
C  MAKE DATA AVAILABLE TO USER CONTROL FILE
C
      DO 10 IG=1,NPGC
        IF(PGLNAM(IG)(1:8).EQ.'$MATCH  ') GO TO 20
 10   CONTINUE
C
      CALL URDABO
C
 20   CONTINUE
      IF(LREADY.EQ.1) THEN
        PGLVAL(IG)(1:5)='TRUE  '
      ELSE
        PGLVAL(IG)(1:5)='FALSE '
      ENDIF
C
      RETURN
      END
